package com.adealink.weparty.image.datasource.local

import android.content.Context
import com.adealink.frame.storage.sp.TypeDelegationPrefs
import com.adealink.frame.util.AppUtil
import com.adealink.weparty.module.account.AccountModule
import com.adealink.weparty.storage.PREF_IMAGE

object ImageLocalService : TypeDelegationPrefs(
    prefs = {
        AppUtil.appContext.getSharedPreferences(PREF_IMAGE, Context.MODE_PRIVATE)
    },
    userId = {
        AccountModule.uid
    }
) {

    var resizeQueryConfig: String by PrefKey("key_resize_query_config", "")

}